﻿using FunWithDBs.Games;

namespace BusinessLayer
{
    public class GameRepository
    {
        public async Task AddGame()
        {
            using (var db = new GameDbContext())
            {
                db.Games.Add(new Game
                {
                    Name = "Dark Souls",
                    GameType = GameType.RPG,
                    Players = new List<Player>()
                    {
                        new Player(){ Name = "Thason"},
                        new Player(){ Name ="Jatasi"}
                    }
                });

                await db.SaveChangesAsync();
            }
        }
    }
}