﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FunWithDBs
{
    public class SqlDemo
    {
        private string connectionString = @"server=(localdb)\MSSQLLocalDB;
                    Initial Catalog=PetsDB; Integrated Security=true";
        public async Task<List<Pet>> GetAllDogs()
        {
            var foundDogs = new List<Pet>();
            using var con = new SqlConnection(connectionString);
            await con.OpenAsync();

            using (var command = new SqlCommand("WAITFOR DELAY '00:00:05';" +
                                 "SELECT * FROM Pets WHERE Type=@type", con))
            {
                command.Parameters.Add(new SqlParameter("@type", "dog"));
                using var reader = await command.ExecuteReaderAsync();
                while (reader.Read())
                {
                    foundDogs.Add(new Pet()
                    {
                        Id = reader.GetInt32(0),
                        Name = reader.GetString(1),
                        Type = reader.GetString(2),
                        Age = reader.GetInt32(3)
                    });
                }
            }
            await con.CloseAsync();

            return foundDogs;
        }
        public async Task AddPet()
        {
            using var con = new SqlConnection(connectionString);
            await con.OpenAsync();
            using (var command = new SqlCommand("INSERT INTO Pets (Name, Type, Age) " +
                "VALUES ('Stylo', 'bunny', 21)", con))
            {
                await command.ExecuteNonQueryAsync();
            }
            await con.CloseAsync();
        }
    }
}
